Bug 51348 - Potential NullPointerException in org.apache.catalina.servlets.WebdavServlet at line 1336
Potential NullPointerException in org.apache.catalina.servlets.WebdavServlet ...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.32
PC Linux
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-06-09 08:53 UTC by Klaus Mehling
Modified: 2011-06-14 13:07 UTC (History)
0 users



Attachments
Proposed patch for Tomcat 6 (578 bytes, patch)
2011-06-09 19:18 UTC, Mark Thomas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Mehling 2011-06-09 08:53:41 UTC
A WebDAV LOCK_REFRESH request may cause a NullPointerException because of an (IMHO) wrong check at line 1332 in  WebdavServlet.java 1056763 2011-01-08 18:56:57Z markt.

I suggest line 1332 should be:
...
  if (toRenew != null) {
...
Comment 1 Mark Thomas 2011-06-09 19:18:46 UTC
Created attachment 27140 [details]
Proposed patch for Tomcat 6
Comment 2 Mark Thomas 2011-06-09 19:20:28 UTC
Thanks for the report and the analysis.

The patch has been proposed for 6.0.x
Comment 3 Mark Thomas 2011-06-14 13:07:33 UTC
Thanks again. This has been fixed in 6.0.x and will be included in 6.0.33 onwards.